@import url("https://fonts.googleapis.com/css2?family=Tinos:ital,wght@0,400;0,700;1,400;1,700&display=swap");

@import url("https://fonts.googleapis.com/css2?family=Oswald:wght@200..700&family=Tinos:ital,wght@0,400;0,700;1,400;1,700&display=swap");

@import url("https://fonts.googleapis.com/css2?family=Cormorant+Garamond:ital,wght@0,300;0,400;0,600;1,300;1,400&family=Jost:wght@300;400;500;600&display=swap");

* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}

/* VARS */
:root {
  /* CSS HEX */
  /* COLOR PALATE */
  --white: rgb(248, 248, 248);
  --old-gold: #d4ae30;
  --jonquil: #d4ae30;
  --dim-gray: #706e65;
  --eerie-black: #282421;
  --star-backgroundcolor: #ffe796;

  --primary-color: var(--jonquil);
  --primary-varient-color: var(--old-gold);
  --secondry-color: var(--eerie-black);
  --grey-color: var(--dim-gray);


  /* FONT VARS */
  --font-tinos: "Tinos", serif;
  --font-oswald: "Oswald", serif;
  --font-jost: "Jost", sans-serif;
}

/* GRADIENTS */

.bg-gr-1::before {
  position: absolute;
  content: "";
  width: 100%;
  height: 100%;
  opacity: 0.1;
  z-index: -1;
  filter: blur(50%);
  background: rgb(253, 200, 0);
  background: linear-gradient(90deg,
      rgba(253, 200, 0, 0.85) 30%,
      rgba(40, 36, 33, 0.23573179271708689) 50%,
      rgba(253, 200, 0, 0.85) 70%);
}

/* ------------------------------------------------------ */
/* FONT FAMILES */

.tinos-regular {
  font-family: "Tinos", serif;
  font-weight: 400;
  font-style: normal;
}

.tinos-bold {
  font-family: "Tinos", serif;
  font-weight: 700;
  font-style: normal;
}

.tinos-regular-italic {
  font-family: "Tinos", serif;
  font-weight: 400;
  font-style: italic;
}

.tinos-bold-italic {
  font-family: "Tinos", serif;
  font-weight: 700;
  font-style: italic;
}

/* ------------------------------------------------------ */

/* ESSENTIALS */

body {
  box-sizing: border-box;
  /* background: var(--white); */
  font-family: var(--font-tinos);

  background-image: url("./../images/backgrounds/1.png");
  background-repeat: repeat;
  background-size: cover;
  background-position: center center;
  background-color: #fefef2;
}

/* SCROLL BAR */
::-webkit-scrollbar {
  width: 12px;
  /* Width of the scrollbar */
}

::-webkit-scrollbar-thumb {
  background: #888;
  /* Color of the scroll thumb */
  border-radius: 6px;
  /* Rounded corners for the thumb */
}

::-webkit-scrollbar-thumb:hover {
  background: #555;
  /* Color when hovering over the thumb */
}

::-webkit-scrollbar-track {
  background: #f1f1f1;
  /* Background color of the track */
}

/* END OF SCROLL BAR */

h1,
h2,
h3,
h4,
h5,
h6 {
  font-family: var(--font-oswald);
  font-weight: bold;
}

.h1,
.h2,
.h3,
.h4,
.h5,
.h6 {
  font-family: var(--font-oswald);
  font-weight: bold;
}

.sec-title {
  font-family: var(--font-tinos);
  font-size: 30px;
}

.clear-fix {
  display: block;
}

.clear-fix::before {
  content: "";
  position: absolute;
}

.clear-fix::after {
  content: "";
  position: absolute;
}

.page-wrapper {
  position: relative;
  margin: 0 auto;
  width: 100%;
  min-width: 300px;
  z-index: 9;
}

.prelative {
  position: relative;
  width: 100%;
  height: 100%;
}

.sticky-top {
  position: sticky !important;
}

.object-contain {
  width: 100%;
  height: 100%;
  object-fit: contain;
}

.object-cover {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.carousel-inner {
  height: 650px;
  width: 100%;
}

.carousel-item img {
  height: 650px;
  width: 100%;
  object-fit: cover;
}

.simple-text {
  margin-bottom: 20px;
}

.color-primary {
  color: var(--primary-color) !important;
}

.cta-button {
  padding: 10px 25px;
  background: var(--primary-color);

  transition: all ease 0.7s;
}

button:hover {
  background: var(--primary-varient-color) !important;
}

.overflow-hidden-mobile {
  overflow: visible;
}

@media screen and (max-width: 767px) {
  .overflow-hidden-mobile {
    overflow: hidden;
  }
}

/* END OF ESSENTIALS */

.header-container {
  position: relative;
  width: 100%;
  /* height: 30px; */
  display: block;
  z-index: 99999999;

}

.header-container .header-wrapper {
  position: fixed;
  width: 100%;
  padding: 20px 10px;
  background-color: var(--white);
  border-top: var(--primary-color) 5px solid;
  box-shadow: 0 8px 20px rgba(0, 0, 0, 0.3);

}

.logo-container {
  position: absolute;
  z-index: 6969;
  width: 120px;
  padding: 10px;
  float: left;
  border-bottom-right-radius: 10px;
  border-bottom-left-radius: 10px;
  top: 0;
  background: var(--white);
  box-shadow: -3px 2px 30px -3px rgba(0, 0, 0, 0.51);
  -webkit-box-shadow: -3px 2px 30px -3px rgba(0, 0, 0, 0.51);
  -moz-box-shadow: -3px 2px 30px -3px rgba(0, 0, 0, 0.51);
}

.logo-container::before-test {
  content: "";
  position: absolute;
  background: inherit;
  clip-path: polygon(50% 100%, 0 0, 100% 0);
  bottom: -120px;
  left: 0;
  box-shadow: -3px 2px 30px -3px rgba(0, 0, 0, 0.51);
  /* border-bottom-left-radius: 50%;
  border-bottom-right-radius: 50%; */
  display: block;
  width: 100%;
  z-index: inherit;
  height: 100%;
  color: aqua;
}

.nav-container {
  float: right;
  /* margin-right: 10%; */
  display: flex;
}

.nav-container .cta-button {
  margin-left: 25px;
}

.nav-list {
  box-sizing: border-box;
  list-style: none;
  padding: 3px;
  margin: 5px;
}

.nav-container .nav-item {
  position: relative;
  float: left;
  margin-left: 1px;
  font-size: 17px;
  line-height: 16px;
  color: var(--secondry-color);
}

.nav-item a {
  position: relative;
  display: block;
  padding: 7px 15px;
  -moz-border-radius: 4px;
  border-radius: 4px;
  margin-bottom: 2px;
  color: inherit;
  text-decoration: none !important;
  transition: all ease 0.6s;
}

.nav-item:hover a {
  background: var(--primary-color);
  color: white;
}

.menu-icon {
  position: relative;
  float: inline-end;
  padding: 0 15px;
  font-size: 22px;
  font-weight: bolder;
  display: none;
  z-index: 69696969;
}

.menu-icon .icon-container {
  position: relative;
  transition: all ease 0.8s;
  z-index: inherit;
}

/* .menu-icon.close .icon-container {
  position: absolute;
} */

/* Page Loading */
@keyframes ldio-s69gk832n0l {
  0% {
    transform: rotate(0deg)
  }

  50% {
    transform: rotate(180deg)
  }

  100% {
    transform: rotate(360deg)
  }
}

.ldio-s69gk832n0l div {
  position: absolute;
  animation: ldio-s69gk832n0l 1s linear infinite;
  width: 40px;
  height: 40px;
  top: 20px;
  left: 20px;
  border-radius: 50%;
  box-shadow: 0 4px 0 0 #e0b218;
  transform-origin: 20px 22px;
}

.loa-5fyuz6nbepy {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
}

.loa-5fyuz6nbepy img {
  max-height: 100px;
  max-width: 100px;
}

.loadingio-spinner-eclipse-5fyuz6nbepy {
  width: 80px;
  height: 80px;
  display: inline-block;
  overflow: hidden;
  background: #ffffff;
}

.ldio-s69gk832n0l {
  width: 100%;
  height: 100%;
  position: relative;
  transform: translateZ(0) scale(1);
  backface-visibility: hidden;
  transform-origin: 0 0;
  /* see note above */
}

.ldio-s69gk832n0l div {
  box-sizing: content-box;
}

#loader {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: #fff;
  z-index: 9999;
}

/* Center fix (you already have this) */
.loa-5fyuz6nbepy {
  display: flex;
  justify-content: center;
  align-items: center;
}

/* [ldio] generated by https://loading.io */

.menu-icon.close {
  font-size: 42px;
}

/* .menu-icon .open,
.close {
  visibility: hidden;
  opacity: 0;
  transition: all ease 0.8s;
  z-index: 0;
  display: none;
  position: relative;
}

.menu-icon.open .open {
  visibility: visible;
  opacity: 1;
  z-index: inherit;
  display: block;
}

.menu-icon.close .close {
  visibility: visible;
  opacity: 1;
  z-index: inherit;
  display: block;
} */

.bc-navigation {
  padding-top: 140px;
}

.breadcrumb {
  margin-left: 150px;
}

.breadcrumb-item {
  font-style: italic;
  font-weight: 400;
}

.breadcrumb-item.active {
  color: var(--primary-color);

  font-weight: 600;
}

.breadcrumb-item a {
  text-decoration: none;
  color: var(--eerie-black);
  font-weight: 600;
}

@media (max-width: 768px) {
  .breadcrumb {
    margin-left: 10px !important;
  }

  .header-section {
    padding: 50px 20px 40px;
  }
}

.sidenav-bar {
  z-index: 696969;

  position: fixed;
  top: 0;
  left: 0;
  width: 250px;
  height: 100%;
  background-color: var(--eerie-black);
  color: #fff;
  transform: translateX(-100%);
  transition: all 0.9s ease;
  z-index: 1000;
}

.sidenav-bar.opened {
  width: 100%;
}

.sidenav-bar .inner-wrapper {
  width: inherit;
  height: 100dvh;
  background: var(--white);
}

.sidenav-bar.opened {
  transform: translateX(0);
}

.sidenav-bar .inner-wrapper {
  padding: 20px;
}

#close-icon {
  font-size: 24px;
  cursor: pointer;
  text-align: right;
  color: #333;
}

.sidenav-nav {
  margin-top: 20px;
}

.sidenav-list {
  list-style: none;
  padding: 0;
}

.sidenav-item {
  margin: 15px 0;
}

.sidenav-item a {
  color: var(--old-gold);
  text-decoration: none;
  font-size: 18px;
}

.sidenav-item a:hover {
  text-decoration: underline;
}

/* RESPONSIVE NAV SECTION*/
@media only screen and (max-width: 768px) {
  .nav-container {
    display: none;
  }

  .menu-icon {
    display: inline-block;
  }

  .mobile-menu {}
}

/* SLIDER SECTION */

.home-slider {
  position: relative;
  width: 100%;
  display: block;
}

/* 
.home-slider .inner-wrapper {
  position: relative;
  background: var(--dim-gray);
  height: 110vh;
} */
.carousel-indicators button:hover {
  color: #d4ae30 !important;
}

.home-slider .slider-container {
  width: 100%;
  height: 100%;
  position: relative;
}

/* SECTIONS */

section {
  width: 100%;
  position: relative;
  display: block;
  height: auto;
}

.about-us::before {
  content: "";
  display: block;
  height: 100%;
  width: 100%;
  position: absolute;
  background-color: #fafafa;
  opacity: 0.1;
  background: radial-gradient(circle,
      transparent 20%,
      #fafafa 20%,
      #fafafa 80%,
      transparent 80%,
      transparent),
    radial-gradient(circle,
      transparent 20%,
      #fafafa 20%,
      #fafafa 80%,
      transparent 80%,
      transparent) 32.5px 32.5px,
    linear-gradient(#fdc800 2.6px, transparent 2.6px) 0 -1.3px,
    linear-gradient(90deg, #fdc800 2.6px, #fafafa 2.6px) -1.3px 0;
  background-size: 65px 65px, 65px 65px, 32.5px 32.5px, 32.5px 32.5px;
}

.about-us .inner-wrapper {
  position: relative;
  padding: 80px 60px;
  height: 100%;
}

@media screen and (max-width: 767px) {
  .about-us .inner-wrapper {
    padding: 40px 20px;
  }
}

/* FEATURED 1 */
.featured-1 {}

.featured-1 h2 {
  font-family: var(--font-tinos);
  font-size: 45px;
}

.featured-1 .shape {
  height: 400px;
  overflow: hidden;
  border-radius: 300px 300px 0 0;
}

.featured-1 .shape.invert {
  border-radius: 0 0 300px 300px;
}

.featured-1 .exp {
  padding-top: 15px;
  padding-bottom: 15px;
  font-size: 56px;
}

.featured-1 .exp h3 {
  font-size: 56px;
}

.star-container {
  color: var(--primary-color);
}

/* ROOMS - 1 SECTION */
.rooms-1 {
  position: relative;
  display: block;
}

.rooms-1 .inner-wrapper {
  position: relative;
  width: 100%;
  height: 100%;
  /* background: #f8f8f8; */
  border-radius: 300px 0 300px 0;

  padding: 25px 25px;
}

.rooms-1 .slick-container {
  position: relative;
  display: block;
}

.rooms-1 .slick-item {
  position: relative;
  display: block;
  width: 100%;
  height: 100%;
  overflow: hidden;

  transition: all ease 0.8s;
}

.rooms-1 .slick-item .wrapper {
  position: relative;
  overflow: hidden;
  height: 350px;
  background: #282421;
  border-radius: 0 80px 0 80px;
}

.rooms-1 .arrows {
  position: absolute;
  top: 50%;
  z-index: 69;
  width: 100%;
  display: flex;
  justify-content: space-between;
}

.rooms-1 h3 {
  font-family: var(--font-tinos);
}

.rooms-1 .btn-room-left,
.btn-room-right {
  padding: 5px 20px;
  position: relative;
  background: var(--primary-varient-color);
  font-weight: bolder;
  font-size: 24px;
}

.btn-room-left {
  left: 0;
  border-radius: 0 15px 15px 0;
}

.btn-room-right {
  right: 0;
  border-radius: 15px 0 0 15px;
}

.amenities {
  list-style: none;
  /* display: block; */
  padding: 10px 0;
  margin: 10px 0;
  display: flex;
}

.click-to-top {
  font-size: 20px;
  color: var(--primary-varient-color);
  margin: 0 10px;
  position: relative;
  cursor: pointer;
}

.click-to-top::after {
  content: attr(data-title);
  position: absolute;
  bottom: 100%;
  /* Position above the icon */
  left: 50%;
  transform: translateX(-50%);
  background-color: var(--secondry-color);
  color: var(--white);
  padding: 5px 10px;
  border-radius: 1px;
  white-space: nowrap;
  font-size: 12px;
  opacity: 0;
  pointer-events: none;
  transition: opacity 0.3s ease-in-out;
  z-index: 10;
}

.click-to-top:hover::after {
  opacity: 1;
}

/* LOCAL ATRACTION */
.local-atraction {
  width: 100%;
  display: block;
  height: 100%;
  position: relative;
}

.local-atraction .inner-wrapper {
  height: 100%;
  width: 100%;
  position: relative;

  padding: 18px 13px;
}

.local-atraction .single {
  position: relative;
  display: flex;
  float: left;
  width: 100%;
}

@media screen and (max-width: 767px) {
  .local-atraction .single {
    display: block;
  }

  .local-atraction .single .left-container {
    position: relative !important;
    width: 100% !important;
  }

  .local-atraction .single .right-container {
    position: relative !important;
    width: 100% !important;
  }

  .local-atraction .arrows .btn-loc-left {
    left: 2% !important;
  }

  .local-atraction .arrows .btn-loc-right {
    right: 2% !important;
  }
}

.local-atraction .single .left-container {
  width: 50%;
  overflow: hidden;
  height: 300px !important;
  position: relative;
}

.local-atraction .single .right-container {
  position: relative;
  width: 50%;
  padding: 0 20px;
  padding-right: 0;
  -moz-border-radius-bottomleft: 5px;
  border-bottom-left-radius: 5px;
  -moz-border-radius-bottomright: 5px;
  border-bottom-right-radius: 5px;

  display: flex;
  flex-direction: column;
  /* align-items: center; */
  justify-content: center;
}

.local-atraction .simple-text {
  padding: 0 0 15px;
  font-size: 17px;
  line-height: 25px;
  font-weight: 400;
  color: var(--dim-gray);
}

.local-atraction .arrows {
  position: absolute;
  width: 100%;
  left: 0;
  top: 60%;
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.local-atraction .arrows .btn-loc-left,
.btn-loc-right {
  border-radius: 50%;
  color: var(--primary-varient-color);
  background: none;
  border: 2px solid var(--primary-varient-color);
  position: relative;
  font-size: 24px;

  transition: all ease 0.8s;
}

.local-atraction .arrows .btn-loc-left:hover,
.btn-loc-right:hover {
  color: var(--secondry-color);
}

.local-atraction .arrows .btn-loc-left {
  left: 12%;
}

.local-atraction .arrows .btn-loc-right {
  right: 12%;
}

/* Contact us section */
.contact-us {
  position: relative;
  display: block;
  width: 100%;

  background: #ffffff;
}

.contact-us .inner-wrapper {
  position: relative;
  display: block;
  width: 100%;
  padding: 40px 20px;
  background: url("../images/backgrounds/2.png");
}

.contact-us .contact-form {
  padding: 20px 10px;
}

.contact-form .form-group {
  padding: 10px 0;
}

.form-control {
  width: 100%;
  padding: 10px;
  margin-bottom: 15px;
  border: 1.2px solid var(--dim-gray);
  border-radius: 5px;
  font-family: var(--font-tinos);
  font-size: 16px;
  color: var(--grey-color);
  background-color: #fff;
  transition: border-color 0.3s ease-in-out, box-shadow 0.3s ease-in-out;
}

.form-control:focus {
  border-color: var(--primary-color);
  box-shadow: 0 0 10px rgba(253, 200, 0, 0.5);
  outline: none;
}

.contact-icon {
  font-size: 20px;
  color: var(--primary-color);
  margin-top: 8px;
  margin-bottom: 8px;
}

.contact-icon a {
  text-decoration: none;
  text-align: center;
  color: var(--secondry-color);
  transition: all ease 0.8s;
}

.contact-icon a:hover {
  color: var(--primary-color);
  border-bottom: 1px solid var(--primary-color);
}

/* END OF CONTACT SECTION */

/* GALLERY SECTION */

.gallery-1 {
  position: relative;
  display: block;
  width: 100%;
}

.gallery-1 .inner-wrapper {
  position: relative;
  display: block;
  width: 100%;
  padding: 25px 15px;
}

/* END OF GALLERY SECTION */







/* ROOMS DETAILS START */
.about-slider {
  position: relative;
  width: 100%;
  height: 450px;
  border-radius: 25px;
  overflow: hidden;
}

.about-slider.swiper {
  height: 100%;
  width: 100%;
}

#about-slider .swiper-slide {
  position: relative;
  width: 100% !important;
  height: 450px !important;
}

.col-wrapper {
  position: relative;
  width: 100%;
  height: auto;
  display: flex;
  align-items: center;
  justify-content: space-between;

  padding: 5px;

  overflow: hidden;
}

#about-slider .about-swiper-pagination {
  position: absolute;
  bottom: 25px;
  z-index: 9999;
  left: 30px;
  font-size: 25px;
  width: auto;
  padding: 5px;
  border-radius: 30px;
  backdrop-filter: blur(10px);
  background: rgb(235 235 235 / 49%);
  /* margin-bottom: 30px; */
}

#about-slider .about-swiper-pagination .swiper-pagination-bullet {
  background: var(--primary-color);
  width: 20px;
  height: 20px;
  color: black;
  opacity: 0.7;
  transition: all 0.5s ease-in-out;
}

#about-slider .about-swiper-pagination .swiper-pagination-bullet-active {
  /* background: var(--color-secondary); */
  background: rgb(var(--secondry-color) / 49%);
  opacity: 1;
  width: 60px;
  border-radius: 15px;
  overflow: hidden;
  position: relative;
}

/* Animated fill effect */
#about-slider .about-swiper-pagination .swiper-pagination-bullet-active::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  height: 100%;
  width: 0%;
  background: rgb(253, 200, 0);
  animation: fillProgress 5s linear forwards;
  opacity: 1;
  z-index: 999999999;
  /* Match Swiper autoplay delay */
  /* border-radius: 15px; */
}

@keyframes fillProgress {
  from {
    width: 0%;
    border-radius: 50%;
  }

  to {
    width: 100%;
    border-radius: 15px;
  }
}


/* FOOTER */
.footer-section {
  position: relative;
  width: 100%;
  display: block;
}

.footer-section .inner-wrapper {
  position: relative;
  width: 100%;
  display: block;
  padding: 20px 10px;

  background: var(--secondry-color);
  color: var(--white);
}

.footer-section ul {
  list-style: none;
  margin: 0;
  padding: 0;
  position: relative;
  display: block;
}

.footer-section a {
  text-decoration: none;
  color: var(--primary-color);
  font-style: italic;
  font-weight: 400;
  transition: all ease 0.8s;
}

.footer-section a:hover {
  border-bottom: 1px solid var(--primary-color);
}

.footer-title {
  position: relative;
  margin-bottom: 5px;
  font-size: 20px;
}

.footer-social ul {
  display: flex;
  align-items: center;
  list-style: none;
  margin: 0;
  padding: 0;
  position: relative;
}

.footer-social ul li {
  padding: 10px;
  font-size: 25px;

  background: radial-gradient(ellipse farthest-corner at right bottom,
      #fedb37 0%,
      #fdb931 8%,
      #9f7928 30%,
      #8a6e2f 40%,
      transparent 80%),
    radial-gradient(ellipse farthest-corner at left top,
      #ffffff 0%,
      #ffffac 8%,
      #d1b464 25%,
      #5d4a1f 62.5%,
      #5d4a1f 100%);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;

  transition: all ease 0.5s;
}

.footer-text.addr p {
  margin: 0;
  margin-bottom: 5px;
}

.footer-text.addr a {
  color: var(--primary-varient-color);
}

.footer-social ul li:hover {
  color: var(--primary-color);
  transform: scale(1.2) translateY(-10px);
}

@media screen and (max-width: 767px) {
  .footer-section .col-lg-3 {
    text-align: center;
    align-items: center;
    margin-bottom: 20px;
  }

  .footer-social ul {
    justify-content: center;
  }

  /* bqnquet hall */

}